package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 当前客户端使用平台(java,php,c#,android,vue,webos,ios,python)枚举类
*
* @author zxfei
*/
public enum PlatformEnum {
    java("java", "java"),
    php("php", "php"),
    c("c#", "c#"),
    android("android", "android"),
    vue("vue", "vue"),
    webos("webos", "webos"),
    ios("ios", "ios"),
    python("python", "python");
    private String value;
    private String desc;

    PlatformEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static PlatformEnum getByValue(String value) {
        for (PlatformEnum platformEnum : PlatformEnum.values()) {
            if (platformEnum.getValue() == value) {
                return platformEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (PlatformEnum item : PlatformEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}